package com.huimv.eartag2.admin.utils;

import com.alibaba.fastjson.JSONObject;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Component
public class IDUtil {

    /**
     * @Method      : convertToList
     * @Description : 
     * @Params      : [idSet]
     * @Return      : java.util.List<java.lang.Integer>
     * 
     * @Author      : ZhuoNing
     * @Date        : 2022/6/28       
     * @Time        : 11:21
     */
    public List<Integer> convert(String idSet){
        JSONObject idsJo = JSONObject.parseObject(idSet);
        String ids = idsJo.getString("ids");
        List<Integer> idList = new ArrayList<>();
        String[] idsArray = ids.split(",");
        for(String id:idsArray){
            idList.add(Integer.parseInt(id));
        }
        return idList;
    }
}
